Skip to content

List load balancers

GET
/api/organizations/{organizationId}/load-balancers

Retrieve all load balancers for an organization, each with its configured origin servers.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

organizationId*

Organization identifier

Type
string
Required

Query Parameters

page

The collection page number

Type
integer
Default
1
itemsPerPage

The number of items per page

Type
integer
Default
30
Minimum
0
Maximum
100
name

Filter load balancers by name using a partial, case-insensitive match.

Type
string
name[]

Filter load balancers by name using a partial, case-insensitive match.

Type
array

Responses

load-balancer collection

JSON
{
  
"totalItems": 0,
  
"search": {
  
  
"@type": "string",
  
  
"template": "string",
  
  
"variableRepresentation": "string",
  
  
"mapping": [
  
  
  
{
  
  
  
  
"@type": "string",
  
  
  
  
"variable": "string",
  
  
  
  
"property": "string",
  
  
  
  
"required": true
  
  
  
}
  
  
]
  
},
  
"view": {
  
  
"@id": "string",
  
  
"@type": "string",
  
  
"first": "string",
  
  
"last": "string",
  
  
"previous": "string",
  
  
"next": "string"
  
},
  
"member": [
  
  
{
  
  
  
"@context": "string",
  
  
  
"@id": "string",
  
  
  
"@type": "string",
  
  
  
"id": "0f9d6a2e-4c3b-4e1a-9f2b-1a2b3c4d5e6f",
  
  
  
"name": "eu-web-pool",
  
  
  
"method": "random",
  
  
  
"requestHostname": "origin.example.com",
  
  
  
"createdAt": "2025-01-15T09:30:00+00:00",
  
  
  
"updatedAt": "2025-01-15T09:30:00+00:00",
  
  
  
"origins": [
  
  
  
  
{
  
  
  
  
  
"id": "string",
  
  
  
  
  
"originServer": {
  
  
  
  
  
  
"@context": "string",
  
  
  
  
  
  
"@id": "string",
  
  
  
  
  
  
"@type": "string"
  
  
  
  
  
},
  
  
  
  
  
"weight": 1,
  
  
  
  
  
"enabled": true
  
  
  
  
}
  
  
  
]
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI